<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.etl.mapper.EtlWiustMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="entityResultMap" type="org.springblade.modules.etl.entity.EtlWiustEntity">
        <result column="WIUST_CD" property="wiustCd"/>
        <result column="WIUST_NM" property="wiustNm"/>
        <result column="WIUST_TP" property="wiustTp"/>
        <result column="LOC" property="loc"/>
        <result column="DAT_TP" property="datTp"/>
        <result column="WELL_TP" property="wellTp"/>
        <result column="EST_ST_YM" property="estStYm"/>


    </resultMap>

    <select id="selectList" resultMap="entityResultMap">
        SELECT
        d.WIUST_CD,d.WIUST_NM,d.WIUST_TP,d.LOC,d.DAT_TP,d.WELL_TP,d.EST_ST_YM
        FROM
        WR_WIUST_B d
        WHERE 1=1
        <if test="entity.wiustCd!=null">
            and d.WIUST_CD = #{entity.wiustCd}
        </if>
    </select>
</mapper>

